Bug 496412 - SELinux is preventing ck-get-x11-serv (consolekit_t) "search" xdm_var_run_t.
SELinux is preventing ck-get-x11-serv (consolekit_t) "search" xdm_var_run_t.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-18 15:24 EDT by Ian Weller
Modified: 2009-04-20 07:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-20 07:51:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2009-04-18 15:24:33 EDT
Description of problem:
setroubleshoot reports: ``SELinux is preventing ck-get-x11-serv (consolekit_t) "search" xdm_var_run_t.''

SELinux denied access requested by ck-get-x11-serv. It is not expected that this access is required by ck-get-x11-serv and this access may signal an intrusion attempt. It is also possible that the specific version or configuration of the application is causing it to require additional access.

Version-Release number of selected component (if applicable):
selinux-policy-3.6.12-4.fc11
ConsoleKit-x11-0.3.0-7.fc11

How reproducible:
Unsure, will reply to bug

Steps to Reproduce:
1. Log in

Actual results:
AVC denial

Expected results:
No AVC denial

Additional info:
Raw Audit Messages :
node=localhost.localdomain type=AVC msg=audit(1240096780.497:30601): avc: denied { search } for pid=3425 comm="ck-get-x11-serv" name="gdm" dev=dm-0 ino=77684 scontext=system_u:system_r:consolekit_t:s0-s0:c0.c1023 tcontext=system_u:object_r:xdm_var_run_t:s0 tclass=dir node=localhost.localdomain type=SYSCALL msg=audit(1240096780.497:30601): arch=c000003e syscall=21 success=no exit=-13 a0=7fffeba98fab a1=4 a2=0 a3=7fffeba97120 items=0 ppid=3424 pid=3425 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="ck-get-x11-serv" exe="/usr/libexec/ck-get-x11-server-pid" subj=system_u:system_r:consolekit_t:s0-s0:c0.c1023 key=(null)
Comment 1 Ian Weller 2009-04-19 16:17:23 EDT
(In reply to comment #0)
> How reproducible:
> Unsure, will reply to bug

Can be reproduced on first login from boot of a new user account. For example:

1) A creates user B
2) Log out A, log in B, no AVC denial
3) Reboot
4) Log in B, AVC denial as previously described
Comment 2 Daniel Walsh 2009-04-20 07:51:04 EDT
Fixed in selinux-policy-3.6.12-8.fc11.noarch

Note You need to log in before you can comment on or make changes to this bug.